org.apache.ignite.internal

## Class IgniteNodeAttributes

- java.lang.Object
- - org.apache.ignite.internal.IgniteNodeAttributes

    public final class IgniteNodeAttributes
    extends Object

This class defines constants (NOT enums) for internally-used node attributes.

### Field Summary

Fields
`static String` `ATTR_BUILD_DATE` Internal attribute name constant.
`static String` `ATTR_BUILD_VER` Node compound version.
`static String` `ATTR_CACHE` Internal attribute name constant.
`static String` `ATTR_CACHE_INTERCEPTORS` Cache interceptors.
`static String` `ATTR_COMPATIBLE_VERS` Internal attribute name constant.
`static String` `ATTR_DAEMON` Internal attribute name constant.
`static String` `ATTR_DEPLOYMENT_MODE` Deployment mode.
`static String` `ATTR_GRID_NAME` Internal attribute name constant.
`static String` `ATTR_IGFS` Internal attribute name constant.
`static String` `ATTR_IPS` Internal attribute name constant.
`static String` `ATTR_JIT_NAME` Internal attribute name constant.
`static String` `ATTR_JMX_PORT` Internal attribute name constant.
`static String` `ATTR_JVM_ARGS` Internal attribute name constant.
`static String` `ATTR_JVM_PID` Internal attribute name constant.
`static String` `ATTR_LANG_RUNTIME` Internal attribute name constant.
`static String` `ATTR_MACS` Internal attribute name constant.
`static String` `ATTR_MARSHALLER` Internal attribute name constant.
`static String` `ATTR_MONGO` Internal attribute name constant.
`static String` `ATTR_PEER_CLASSLOADING` Peer classloading enabled flag.
`static String` `ATTR_PHY_RAM` Internal attribute name constant.
`static String` `ATTR_PREFIX` Prefix for internally reserved attribute names.
`static String` `ATTR_REST_JETTY_ADDRS` Internal attribute name constant
`static String` `ATTR_REST_JETTY_HOST_NAMES` Internal attribute name constant
`static String` `ATTR_REST_JETTY_PORT` Internal attribute name constant
`static String` `ATTR_REST_PORT_RANGE` Internal attribute name constant
`static String` `ATTR_REST_TCP_ADDRS` Internal attribute name constant.
`static String` `ATTR_REST_TCP_HOST_NAMES` Internal attribute name constant.
`static String` `ATTR_REST_TCP_PORT` Internal attribute name constant.
`static String` `ATTR_RESTART_ENABLED` Internal attribute name constant.
`static String` `ATTR_SECURITY_CREDENTIALS` Security credentials attribute name.
`static String` `ATTR_SECURITY_SUBJECT` Security subject for authenticated node.
`static String` `ATTR_SPI_CLASS` Internal attribute name postfix constant.
`static String` `ATTR_STREAMER` Internal attribute name constant.
`static String` `ATTR_TIME_SERVER_HOST` Time server host attribute name.
`static String` `ATTR_TIME_SERVER_PORT` Time server port attribute name.
`static String` `ATTR_TX_CONFIG` Internal attribute name constant.
`static String` `ATTR_USER_NAME` Internal attribute name constant.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ATTR_PREFIX

    public static final String ATTR_PREFIX

Prefix for internally reserved attribute names.

See Also:
  Constant Field Values

#### ATTR_BUILD_VER

    public static final String ATTR_BUILD_VER

Node compound version.

See Also:
  Constant Field Values

#### ATTR_BUILD_DATE

    public static final String ATTR_BUILD_DATE

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_COMPATIBLE_VERS

    public static final String ATTR_COMPATIBLE_VERS

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_MARSHALLER

    public static final String ATTR_MARSHALLER

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_JIT_NAME

    public static final String ATTR_JIT_NAME

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_LANG_RUNTIME

    public static final String ATTR_LANG_RUNTIME

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_USER_NAME

    public static final String ATTR_USER_NAME

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_GRID_NAME

    public static final String ATTR_GRID_NAME

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_DEPLOYMENT_MODE

    public static final String ATTR_DEPLOYMENT_MODE

Deployment mode.

See Also:
  Constant Field Values

#### ATTR_PEER_CLASSLOADING

    public static final String ATTR_PEER_CLASSLOADING

Peer classloading enabled flag.

See Also:
  Constant Field Values

#### ATTR_SPI_CLASS

    public static final String ATTR_SPI_CLASS

Internal attribute name postfix constant.

See Also:
  Constant Field Values

#### ATTR_CACHE

    public static final String ATTR_CACHE

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_TX_CONFIG

    public static final String ATTR_TX_CONFIG

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_IGFS

    public static final String ATTR_IGFS

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_MONGO

    public static final String ATTR_MONGO

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_DAEMON

    public static final String ATTR_DAEMON

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_JMX_PORT

    public static final String ATTR_JMX_PORT

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_RESTART_ENABLED

    public static final String ATTR_RESTART_ENABLED

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_REST_TCP_ADDRS

    public static final String ATTR_REST_TCP_ADDRS

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_REST_TCP_HOST_NAMES

    public static final String ATTR_REST_TCP_HOST_NAMES

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_REST_TCP_PORT

    public static final String ATTR_REST_TCP_PORT

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_REST_PORT_RANGE

    public static final String ATTR_REST_PORT_RANGE

Internal attribute name constant

See Also:
  Constant Field Values

#### ATTR_REST_JETTY_ADDRS

    public static final String ATTR_REST_JETTY_ADDRS

Internal attribute name constant

See Also:
  Constant Field Values

#### ATTR_REST_JETTY_HOST_NAMES

    public static final String ATTR_REST_JETTY_HOST_NAMES

Internal attribute name constant

See Also:
  Constant Field Values

#### ATTR_REST_JETTY_PORT

    public static final String ATTR_REST_JETTY_PORT

Internal attribute name constant

See Also:
  Constant Field Values

#### ATTR_IPS

    public static final String ATTR_IPS

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_MACS

    public static final String ATTR_MACS

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_PHY_RAM

    public static final String ATTR_PHY_RAM

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_JVM_PID

    public static final String ATTR_JVM_PID

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_JVM_ARGS

    public static final String ATTR_JVM_ARGS

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_STREAMER

    public static final String ATTR_STREAMER

Internal attribute name constant.

See Also:
  Constant Field Values

#### ATTR_TIME_SERVER_HOST

    public static final String ATTR_TIME_SERVER_HOST

Time server host attribute name.

See Also:
  Constant Field Values

#### ATTR_TIME_SERVER_PORT

    public static final String ATTR_TIME_SERVER_PORT

Time server port attribute name.

See Also:
  Constant Field Values

#### ATTR_SECURITY_CREDENTIALS

    public static final String ATTR_SECURITY_CREDENTIALS

Security credentials attribute name. Attribute is not available via public API.

See Also:
  Constant Field Values

#### ATTR_SECURITY_SUBJECT

    public static final String ATTR_SECURITY_SUBJECT

Security subject for authenticated node.

See Also:
  Constant Field Values

#### ATTR_CACHE_INTERCEPTORS

    public static final String ATTR_CACHE_INTERCEPTORS

Cache interceptors.

See Also:
  Constant Field Values

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015